#
# spec file for package python-petact
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-petact
Version:        0.1.2
Release:        2.1
License:        MIT
Summary:        A python package extraction tool
Url:            https://github.com/matthewscholefield/petact
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/petact/petact-%{version}.tar.gz
Source99:       https://raw.githubusercontent.com/MatthewScholefield/petact/master/LICENSE
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildArch:      noarch

%python_subpackages

%description
Petact is a library used for installing and updating compressed tar files.
When install_package is called, it downloads an md5 file and compares it with
the md5 of the locally downloaded tar. If they are different, the old
extracted files are deleted and the new tar is downloaded and extracted to
the same place.

%prep
%setup -q -n petact-%{version}
cp %{S:99} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.md
%license LICENSE
%python3_only %{_bindir}/petact
%{python_sitelib}/*

%changelog
* Sun Jul  8 2018 alarrosa@suse.com
- Initial release of python-petact 0.2.1
